Bug 2268045 - Review Request: rust-atoi - Parse integers directly from [u8] slices in safe code.
Summary: Review Request: rust-atoi - Parse integers directly from [u8] slices in safe ...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 39
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/atoi
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR 2279537 2279542 2279544 2279546
TreeView+ depends on / blocked
 
Reported: 2024-03-06 06:46 UTC by Adam McCartney
Modified: 2024-05-08 09:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Comment 1 Fedora Review Service 2024-03-06 06:47:26 UTC
The ticket summary is not in the correct format.
Expected:

    Review Request: <main package name here> - <short summary here>

Found:

    Review Request: rust-atoi 2.0.0 for f39

As a consequence, the package name cannot be parsed and submitted to
be automatically build. Please modify the ticket summary and trigger a
build by typing [fedora-review-service-build].


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Adam McCartney 2024-03-06 06:50:58 UTC
https://github.com/FrostyX/fedora-review-service

Comment 3 Adam McCartney 2024-03-06 06:51:36 UTC
[fedora-review-service-build]

Comment 5 Fedora Review Service 2024-03-06 06:55:31 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7109472
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2268045-rust-atoi/fedora-rawhide-x86_64/07109472-rust-atoi/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 6 Fedora Review Service 2024-03-06 06:58:42 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7109476
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2268045-rust-atoi/fedora-rawhide-x86_64/07109476-rust-atoi/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 7 Fabio Valentini 2024-03-06 16:02:31 UTC
Why is the Summary in the bug's title so long and doesn't match the package Summary?
> Parse integers directly from [u8] slices in safe code

Comment 8 Adam McCartney 2024-03-07 09:06:28 UTC
(In reply to Fabio Valentini from comment #7)
> Why is the Summary in the bug's title so long and doesn't match the package
> Summary?
> > Parse integers directly from [u8] slices in safe code

Yeah, your right that is much more succinct. I copied the other longer version from the upstream package description on crates.io.

Comment 9 Fabio Valentini 2024-04-06 11:16:49 UTC
Thank you, looks good to me now! Sorry for the delay in getting back to this.

Consider adding a comment line above the Patch in the spec file, something like

"""
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          atoi-fix-metadata.diff
"""

(This is the boilerplate I use in all other Rust packages for cases like this.)

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification and is acceptable for Fedora
- licenses of statically linked dependencies are correctly taken into account
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

===

Comment 11 Adam McCartney 2024-05-04 09:02:42 UTC
Hi Fabio,

thanks for the info. So I updated the spec file with your suggested comment.
I'm a bit unclear about the next steps, I tried to create a repo for the package using the `fedpkg request-repo` command as per the docs [https://docs.fedoraproject.org/en-US/package-maintainers/Package_Review_Process/]

Which resulted in the following error:
https://pagure.io/releng/fedora-scm-requests/issue/62109

Comment 12 Fabio Valentini 2024-05-07 14:45:17 UTC
> Which resulted in the following error:
> https://pagure.io/releng/fedora-scm-requests/issue/62109

Yes, this is expected if you have not yet been sponsored into the "packager" group yet.

Please follow the steps outlined here:
https://docs.fedoraproject.org/en-US/package-maintainers/Joining_the_Package_Maintainers/

Comment 13 Adam McCartney 2024-05-08 09:09:17 UTC
(In reply to Fabio Valentini from comment #12)

> Yes, this is expected if you have not yet been sponsored into the "packager"
> group yet.
> 
> Please follow the steps outlined here:
> https://docs.fedoraproject.org/en-US/package-maintainers/
> Joining_the_Package_Maintainers/

Aha, thanks for pointing me to this again. I had slightly misunderstood and thought that contacting 
a prospective sponsor was enough to get sponsored. I've made a request for sponsorship here:
https://pagure.io/packager-sponsors/issue/655

I mentioned you in the description as a prospective sponsor, I hope that you don't mind? (Probably 
should have asked first!)


Note You need to log in before you can comment on or make changes to this bug.